<?
/*

Include TradOOO.inc

Gestion de la traduction
Reoit la langue, l'indice de la page
charge le tableau de traduction et le retourne

Indices de Page
- 1 : Page d'acceuil Convertisseur 
- 2 : Moteur & rponse
- 3 : Satistiques
- 4 : HowTo
                   
*/
function ChargeLang($Langue, $IndPage)
{
// fichier de traduction
$FichierTrad=ValidLang($Langue, $IndPage);
// chargement
$fp = fopen($FichierTrad, "r");
$contents = fread($fp, filesize($FichierTrad));
fclose($fp);
$param = explode("\n", $contents); 
$nblignes=count($param);
for($i=1;$i<$nblignes;$i++)
{
	$ligne=explode("|", $param[$i]);
	$traduction[$ligne[1]]=trim($ligne[2]);
};

return $traduction;

};
//------------------------------------------------------
function ValidLang(&$langue, &$IndPage)
{
// ouverture du fichier etat_trad
// defini l'existence de la $langue pour $Indpage
// langue EN par defaut si vide
// retourne le nom du fichier

$filename = "etat_trad.txt";
$fp = fopen($filename, "r");
$contents = fread($fp, filesize($filename));
fclose($fp);
$param = explode("\n", $contents); 
$nblignes=count($param);
for($i=1;$i<$nblignes;$i++)
{
	$ligne=explode("|", $param[$i]);
	$trad[$ligne[0]][$ligne[1]]=$ligne[2];
};
if ($trad[$langue][$IndPage]=="")
{
	$trad[$langue][$IndPage]=$trad["en"][$IndPage];
};

return $trad[$langue][$IndPage];

};
//------------------------------------------------------
function EnumLangues(&$nblangues)
{
$filename = "etat_trad.txt";
$fp = fopen($filename, "r");
$contents = fread($fp, filesize($filename));
fclose($fp);
$param = explode("\n", $contents); 
$nblignes=count($param);
$nblangues=1;
$TabLang[1]="en";
for($i=1;$i<$nblignes;$i++)
{
	$ligne=explode("|", $param[$i]);
	$trouve=0;
	for($j=1;$j<$nblangues+1;$j++)
	{
		if ($TabLang[$j]==$ligne[0])
		{
			$trouve=1;
			break;
		}
	}
	if($trouve==0)
	{
		$nblangues+=1;
		$TabLang[$nblangues]=$ligne[0];
	}
}

return $TabLang;
};
//----------------------------------------------------
function TrouveLangueBrowser()
{
	global $HTTP_ACCEPT_LANGUAGE, $browser_languages;
	$ret = "";
	if ( strlen ( $HTTP_ACCEPT_LANGUAGE)==0)
	   return "";
	$langs = explode (",", $HTTP_ACCEPT_LANGUAGE);
	
	for ($i=0; $i<count($langs); $i++)
	{
		$l=strtolower ( trim($langs[$i]));
		$ret.=$l;
		if (isset( $browser_languages[$l]))
        {
         return $browser_languages[$l];
        }
    }
	$ret=substr($ret,0,2);
 	return $ret;
};
?>